| Home · API Reference · Modules

Public Member Functions | List of all members
Maliit::InputMethodQuickPlugin Class Reference

`#include <inputmethodquickplugin.h>`

Inheritance diagram for Maliit::InputMethodQuickPlugin:
[legend]

## Public Member Functions

| InputMethodQuickPlugin (const QString &filename, const QSharedPointer< Maliit::AbstractPlatform > &platform)
virtual | ~InputMethodQuickPlugin ()
Public Member Functions inherited from Maliit::Plugins::InputMethodPlugin
virtual QString | name () const =0
virtual MAbstractInputMethod * | createInputMethod (MAbstractInputMethodHost *host)=0
virtual QSet< Maliit::HandlerState > | supportedStates () const =0

## Detailed Description

Creates an input method plugin that allows to use QML.

To create a QML-based virtual keyboard or input method plugin, just drop the QML file in plugin directory. If there are more QML files for the plugin then make sure to put them into some subdirectory or otherwise Maliit server will try to load them as well as separate plugins. The QML components can communicate with the framework through the Maliit::InputMethodQuick context. If the provided Maliit::InputMethodQuick class is not sufficient, then reimplement Maliit::InputMethodQuickPlugin::createInputMethodSettings as well and create a custom MAbstractInputMethod instance there.

## Constructor & Destructor Documentation

## ◆ InputMethodQuickPlugin()

Maliit::InputMethodQuickPlugin::InputMethodQuickPlugin | ( | const QString & | filename,
|  | const QSharedPointer< Maliit::AbstractPlatform > & | platform
| ) |  |

## ◆ ~InputMethodQuickPlugin()

Maliit::InputMethodQuickPlugin::~InputMethodQuickPlugin | ( |  | ) |

virtual

Copyright © 2011 Nokia Corporation |  | Maliit